## visad.bom
Class Swells

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.bom.Swells

All Implemented Interfaces:
  Serializable

public class Swells
extends Exception

See Also:
  Serialized Form

Field Summary
`(package private) static int` `N`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`Swells()`

Method Summary
`static void` `main(String[] args)`
`static void` `setupSwellDisplay(RealType swellDir, RealType swellHeight, DisplayImpl display)` set up ScalarMaps from swellDir and swellHeight to Display.Shape in display; swellDir default Unit must be degree and swellHeight default Unit must be meter

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### N

    static final int N

See Also:
  Constant Field Values

Constructor Detail

### Swells

    public Swells()

Method Detail

### setupSwellDisplay

    public static void setupSwellDisplay(RealType swellDir,
                                         RealType swellHeight,
                                         DisplayImpl display)
                                  throws VisADException,
                                         RemoteException

  set up ScalarMaps from swellDir and swellHeight to Display.Shape in display; swellDir default Unit must be degree and swellHeight default Unit must be meter

  Throws:
    `VisADException`
    `RemoteException`

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException

  Throws:
    `VisADException`
    `RemoteException`